Subject: Re: [PATCH/POLL] git-format-patch: the default suffix is now .patch, not .txt

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Jan 2007 10:26:20 -0500

Alex Riesen <[email-masked]> wrote:
> don't think so. I _would_ cry seeing how fork(2) gets ported to Windows,
> and you will, probably... after seeing how it is done in cygwin.

AFAIK there's not a strong reason to keep fork() in Git.

Currently anytime we fork a process its to perform a small amount
of file descriptor redirection and then immediately exec some other
executable, or a hook script.  In other words we probably could
convert all current uses of fork to something like in run-command.c,
which a Windows port could then easily replace using CreateProcess().

But removing fork isn't worth doing until someone is seriously
trying to port Git onto Windows without Cygwin.  The current code
works on sane OSes and isn't broken, so why fix it?
 
-- 
Shawn.